<template>
  <div class="shop-back" v-if="current_location">
    <div class="shop">
      <div class="shop-wrapper">
        <div class="shop-main">
          <div class="shop-slider__wrapper">
            <!-- <div class="shop-shippingsteaker">
              Free Shipping <br />
              above $50
            </div> -->

            <FlickingSlider
              :options="slider_options"
              @changed="onSliderMove"
              class="shop-slider"
              ref="book_slider"
            >
              <img src="/img/checkoutBookDigital.jpg" />
              <img src="/img/checkoutBookPaperback.jpg" />
              <img src="/img/checkoutBookHardcover.jpg" />
            </FlickingSlider>
          </div>

          <div class="shop-form">
            <div class="shop-title">
              <p>Worldwide Delivery &nbsp; <UiIcon name="globale" /></p>
              <span>Life Is an Upward Spiral</span>
            </div>

            <div class="shop-rating">
              <ul class="shop-rating__stars" @click="is_review = true">
                <li>
                  <Ui-Icon name="star" />
                </li>
                <li>
                  <Ui-Icon name="star" />
                </li>
                <li>
                  <Ui-Icon name="star" />
                </li>
                <li>
                  <Ui-Icon name="star" />
                </li>
                <li>
                  <Ui-Icon name="star" />
                </li>
              </ul>

              <div class="shop-rating__count">5.0&nbsp;&nbsp;(12)</div>
            </div>

            <div class="shop-list">
              <div
                :class="[
                  'shop-type',
                  book.price_id === book_selected ? 'shop-type--active' : '',
                  book.is_soldout ? 'shop-type--disabled' : '',
                ]"
                @click="onChooseBook(book.id)"
                v-for="book in book_form_total"
                :key="book.price_id"
              >
                <!-- :is="book.is_soldout ? 'a' : 'div'"
                :href="book.is_soldout ? book.link : null" -->
                <div class="shop-type__info">
                  <span>{{ book.name }}</span>
                  <p v-if="!book.is_soldout">{{ book.description }}</p>
                  <a :href="book?.link" v-else>
                    {{ book.description }}

                    <Ui-Icon name="link" />
                  </a>
                </div>
                <div class="shop-type__price">
                  <p>${{ book.price_show }}</p>
                  <div
                    class="shop-count"
                    v-if="!book.is_soldout && isLocationGCC()"
                  >
                    <button
                      type="button"
                      @click="onQuantity(0, book.id)"
                      :class="[
                        book.quantity === 0 ? 'shop-count--inactive' : '',
                      ]"
                    >
                      -
                    </button>
                    <p>{{ book.quantity }}</p>
                    <button
                      type="button"
                      @click="onQuantity(1, book.id)"
                      :class="[
                        book.quantity === 10 ? 'shop-count--inactive' : '',
                      ]"
                    >
                      +
                    </button>
                  </div>
                </div>
              </div>
            </div>

            <div class="shop-submits" v-if="current_location">
              <button
                type="button"
                @click="initStipe"
                :class="[is_quantity ? 'shop-submits--active' : 0]"
              >
                <transition name="fade">
                  <div
                    class="shop-submits--empty"
                    v-if="is_quantity_empty && isLocationGCC()"
                  >
                    Please select the quantity
                  </div>
                </transition>
                Buy Now <span> {{ total ? `($${total})` : "" }} </span>
              </button>
            </div>
          </div>
        </div>

        <div class="shop-about">
          <p>Overview</p>
          <span>
            "Life Is an Upward Spiral" offers a transformative journey of
            self-discovery and personal growth, expertly crafted into review
            pivotal sections called "The review Knots." This book, enriched by
            the author's own experiences and universal human struggles, presents
            a clear, progressive path towards self-realization and spiritual
            enlightenment. Readers are encouraged not just to read, but to
            actively engage with the content, reflecting on and applying its
            wisdom to their daily lives.

            <br /><br />

            Praised as more than mere literature, it serves as a guide and
            companion for those seeking deeper self-understanding and a richer
            connection with the fabric of life. Whether you're in pursuit of
            answers, healing, or new perspectives, "Life Is an Upward Spiral"
            promises to be an essential tool in exploring the depths of your
            spirit and the heights of your potential.
          </span>
        </div>
      </div>
    </div>

    <div class="shop-review">
      <div class="shop-review__wrapper">
        <div class="shop-review__title">Reviews</div>

        <FlickingSlider
          :options="slider_review_options"
          :plugins="slider_review_plugins"
          class="shop-review__slider"
        >
          <div class="shop-review__block" :key="12">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/userzamena.jpg" />
                <div class="shop-review__client-info">
                  <p>Zamena Hassan</p>
                  <span>The United Arab Emirates</span>
                  <b>Author</b>
                </div>
              </div>

              <div class="shop-review__comment">
                "'Life is an Upward Spiral' is a combination of spiritual
                mastery and philosophical ingenuity. In his masterpiece, Ansar
                Yawar has applied literary wizardry by wrapping 'Chicken Soup
                for the Heart, Soul, and Mind' together with 'Relationships for
                Dummies' into a neat package of seventy life lessons and
                organized it all into five distinct sections to guide us on this
                human-centric existential experience we call life. growth.

                <br />
                <br />

                Not only has he addressed difficult philosophical phenomena, but
                he also proves each of his ideologies so simply and logically
                that one is left mesmerized. By allowing us a glimpse into his
                personal life, Yawar provides a mirror reflecting our own lives
                of vulnerability and flaws. From womb to afterlife, Yawar gently
                guides us, confidently holding our hands to ensure we come out
                stronger and wiser.

                <br />
                <br />

                Not only did I love reading this brilliant piece of work, but
                it’s also definitely going to become my roadmap and companion in
                navigating my life! Bravo!"
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="11">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/userjeannette.png" />
                <div class="shop-review__client-info">
                  <p>Jeannette O’Connor</p>
                  <span>Portugal</span>
                  <b>PhD, Director, Maya Institute</b>
                </div>
              </div>

              <div class="shop-review__comment">
                I had the privilege of reviewing "Life is an Upward Spiral: The
                Human-Centric Path For Personal Growth" by Ansar Yawar. The book
                offers a complex spiral of lessons about human suffering,
                starting with "Who Are You?" and concluding with "Finding Your
                Purpose." Written eloquently, Yawar delves into human suffering
                from his extensive personal experiences, suggesting that
                embracing both life's dark and light moments is essential for
                growth.

                <br />
                <br />
                Yawar introduces a Human-Centric Approach, using compassion and
                a deep understanding of human needs to address suffering. The
                framework includes "The Five Knots," which are foundational
                elements that guide the reader through his methodology. Each
                knot is a compilation of life lessons that are interconnected to
                provide evolving insights.
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="9">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/usernazila.jpg" />
                <div class="shop-review__client-info">
                  <p>Nazila Malik</p>
                  <span>United Kingdom</span>
                  <b>Entrepreneur specializing in Mental Health Law</b>
                </div>
              </div>

              <div class="shop-review__comment">
                “Life Is an Upward Spiral” offers a profound exploration of
                self-discovery and personal growth. The book’s structure,
                divided into five “knots,” cleverly represents the complexities
                of life that readers are encouraged to unravel. Each knot delves
                into crucial aspects of the human experience, from authenticity
                and relationships to understanding life’s deeper meanings.

                <br />
                <br />

                The author’s approach combines personal insights with rational
                inquiry, inviting readers to examine their lives thoughtfully.
                This blend of personal experience and philosophical exploration
                creates a compelling narrative that resonates deeply with
                readers seeking self-improvement and a greater understanding of
                their place in the world. The book’s emphasis on living an
                examined life is particularly impactful, encouraging readers to
                question, reflect, and grow. Its beautifully crafted prose makes
                complex ideas accessible, potentially transforming readers’
                perspectives on life and their own potential.

                <br />
                <br />

                “Life Is an Upward Spiral” stands out as a thoughtful,
                potentially life-changing guide for those on a journey of
                self-discovery and personal development. Thank you, Ansar, for
                crafting this literary masterpiece. It was truly a privilege to
                immerse myself in your exceptional work.
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="10">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/uservenessa.jpg" />
                <div class="shop-review__client-info">
                  <p>Vanessa Ta</p>
                  <span>United States</span>
                  <b>Editor</b>
                </div>
              </div>

              <div class="shop-review__comment">
                In “Life Is an Upward Spiral”, Ansar Yawar challenges the common
                belief that life is linear, instead arguing that it unfolds in a
                spiral. He offers us insights into how to move through and up
                it—and generously shares lessons from a life well-lived.
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="7">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/usernic.jpg" />

                <div class="shop-review__client-info">
                  <p>Nic Warner</p>
                  <span>Australia</span>
                  <b>Masculine Embodiment and intimacy teacher</b>
                </div>
              </div>

              <div class="shop-review__comment">
                “Life Is an Upward Spiral” is a profound journey into the depths
                of human experience, poetically weaving together personal
                growth, spirituality, and the intricacies of existence. His
                writing is both captivating and insightful, inviting you to
                unlearn and relearn the complexities of life through a
                human-centric lens. Each chapter unravels essential life
                lessons, encouraging introspection and transformation. His
                narrative is enriched with poetic elegance and philosophical
                depth, making the book a compelling guide for anyone seeking
                deeper understanding and fulfillment. "Life Is an Upward Spiral"
                is a beacon of light I wish I had on my path 10 years ago!
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="3">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/userzainub.jpeg" />
                <div class="shop-review__client-info">
                  <p>Zainub Naqvi</p>
                  <span>California</span>
                  <b>Global marketing & life coach</b>
                </div>
              </div>
              <div class="shop-review__comment">
                “Life Is an Upward Spiral” is not only a beautiful work of art,
                but a deeply spiritual and moving manuscript for the human
                experience. With every word, Ansar demonstrates his effortless
                ability to crack open the inner intimate shadows and
                insecurities that we all face and fill them with wisdom and
                anecdotes of healing. Unlike any other self-help literature,
                this piece has a soul of its own, here to befriend you and
                restore faith in yourself and your path forward. It will ground
                you and elevate you at the same time, a true masterpiece that
                cannot be missed regardless of age, gender, and ethnicity. 
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="8">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/user.jpeg" />
                <div class="shop-review__client-info">
                  <p>Kathrin Hansen</p>
                  <span>Germany</span>
                  <b>Womens mentor & trauma expert</b>
                </div>
              </div>
              <div class="shop-review__comment">
                The book can be a place of refuge, an oasis to recharge your
                batteries and gain deep insights. I have read many similar
                books, but none is so down-to-earth and at the same time so wise
                and to the point. The author’s personal story is woven in again
                and again, and it touches you deeply. "Life is an upward spiral“
                gives courage and makes times of crisis easier. It will touch
                many people.
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="6">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <div class="shop-review__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="shop-review__client-info">
                  <p>Ahlam Riyashy</p>
                  <span>United Kingdom</span>
                  <b>Spiritual Life Coach</b>
                </div>
              </div>

              <div class="shop-review__comment">
                “Life Is an Upward Spiral” resonated with me on a mental,
                emotional, and spiritual level. It is a transcendent book
                beautifully guiding the reader on a path of deep introspection
                and self-discovery. It explores the question of human suffering
                and through its wisdom teaches us how to elevate and transform
                through suffering.

                <br />
                <br />

                This book powerfully teaches you to see life with a higher
                perspective and examines concepts such as attaining true
                contentment, defining success, finding purpose through pain,
                living in the present moment, creating lasting love, and the
                orchestration of God in the design of life. The journey within
                is the most beautiful of all journeys we can embark on. Within
                is where we find our true selves and a deep connection to Our
                Creator.

                <br />
                <br />

                If you are ready to embark on a journey of self-discovery,
                personal growth, and spiritual enlightenment, this book is for
                you. Poetic, captivating, and eloquently written. A valuable
                read for people of all faiths and backgrounds. Truly one of the
                best personal development books I have read!
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="2">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <div class="shop-review__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="shop-review__client-info">
                  <p>Layla Isa</p>
                  <span>United Kingdom</span>
                  <b>Real estate</b>
                </div>
              </div>

              <div class="shop-review__comment">
                This year, I set myself on a journey to really connect with
                myself, and along the way, I've read a handful of different
                books. Without a shadow of a doubt, "Life Is an Upward Spiral"
                has been the most engaging and enlightening of them all.
                <br />
                <br />
                Unlike many self-help books that focus on a single aspect of
                life, this book beautifully weaves together important life
                lessons into a cohesive narrative. The author has masterfully
                crafted the content to start ‘light’, and then to gradually
                guide readers through an emotional and insightful ascent that
                culminates in a profound connection to the higher aspects of
                existence.
                <br />
                <br />
                The structure of the book is particularly compelling. Each life
                lesson builds on the previous one, creating a sense of progress
                and emotional elevation. The short, impactful lessons make it
                easy to absorb and reflect on the wisdom shared, making it a
                book that is not only a joy to read but also a practical guide
                for daily living.
                <br />
                <br />
                I am eager to get my hands on a hard copy to experience the
                journey once more. "Life Is An Upward Spiral" is more than just
                a book; it's a transformative experience that leaves you feeling
                uplifted and enlightened.
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="1">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <div class="shop-review__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="shop-review__client-info">
                  <p>Crystal Nero</p>
                  <span>United States</span>
                  <b>Developmental Editor</b>
                </div>
              </div>

              <div class="shop-review__comment">
                The art that resonates with me the most is the art that breaks
                me, and Ansar’s book has broken me in the best possible ways. It
                has served as both an inspiration and a mirror, reflecting back
                to me the parts of myself in need of love, care, and healing.
              </div>

              <div class="shop-review__footer">Developmental Editor</div>
            </div>
          </div>

          <div class="shop-review__block" :key="4">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <div class="shop-review__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="shop-review__client-info">
                  <p>Sam G</p>
                  <span>Norway</span>
                  <b>Legal Advisor</b>
                </div>
              </div>

              <div class="shop-review__comment">
                "Life Is an Upward Spiral" is a book to be savored, offering a
                spectrum of self-discovery and the vulnerability required for
                personal growth. Depending on your willingness to be challenged,
                you will dive into an intellectual, spiritual, and emotional
                journey through the "five knots," leaving a powerful impact that
                will make you feel transformed. The book magically addresses all
                the questions and insecurities one might have, providing a
                diverse range of insights.
                <br />
                <br />
                As you progress through the pages, you'll feel transformed,
                becoming a fearless being. You'll learn to mend and blend with
                the empowered insights of your soul and allow suffering to pass
                through. The title perfectly encapsulates the book's essence,
                emphasizing the processes of progress and self-connection it
                offers, guided by a higher power than the universe.
                <br />
                <br />
                "Life is An Upward Spiral" is poised to be 2024's biggest
                "bible" for humanity. It manifests profound insights, offers
                poetic moments, and leads to growth and a new sense of self. It
                reveals an intricate tapestry of art that cannot be missed!
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <div class="shop-review__block" :key="5">
            <div class="shop-review__block__wrapper">
              <div class="shop-review__client">
                <img src="/img/userpoonam.jpeg" />
                <div class="shop-review__client-info">
                  <p>Poonam Walid</p>
                  <span>United Kingdom</span>
                  <b>Digital creator</b>
                </div>
              </div>

              <div class="shop-review__comment">
                I just finished reading "Life Is an Upward Spiral" and had to
                share my thoughts! I found the book to be an insightful read
                that provides a well-structured, comprehensive exploration of
                important life themes. The division into five distinct sections
                creates a clear and engaging journey for the reader. Each
                section is well explained, making the content accessible and
                easy to follow. I loved the anecdotes throughout the book about
                Ansar's personal story of resilience; they really hit home for
                me. One of my favorite sections was about the concept of
                identity as an illusion, which was very thought-provoking.
                Overall, "Life Is an Upward Spiral" is a well-structured,
                insightful guide that combines personal experiences with
                profound life lessons. It’s relatable, inspiring, and definitely
                worth a read!
              </div>

              <div class="shop-review__footer">First readers</div>
            </div>
          </div>

          <template #viewport>
            <span class="flicking-arrow-prev">
              <Ui-Icon name="arrow2" />
            </span>
            <span class="flicking-arrow-next">
              <Ui-Icon name="arrow2" />
            </span>
          </template>
        </FlickingSlider>

        <div class="kek"></div>
      </div>
    </div>

    <teleport to="body" v-if="is_checkout">
      <div class="modal" @click.native="onCloseStripe()">
        <div class="modal-wrapper" @click.stop="">
          <div class="modal-checkout">
            <div class="modal-header">
              <span>Checkout</span>

              <button type="button" class="modal-close" @click="onCloseStripe">
                <Ui-Icon name="close" />
              </button>
            </div>

            <div class="modal-checkout__wrapper">
              <div id="checkout"></div>

              <transition name="fade">
                <div v-if="is_success_checkout" class="modal-checkout__success">
                  <Ui-Gif src="/success.json" class="modal-checkout__gif" />
                  <p>Thank you</p>
                  <span>The purchase was completed successfully!</span>
                </div>
              </transition>
            </div>
          </div>
        </div>
      </div>
    </teleport>

    <teleport to="body" v-if="is_review">
      <div class="modal reviewmodal" @click.native="is_review = false">
        <div class="modal-wrapper" @click.stop="">
          <div class="modal-header">
            <span>
              Your opinion about <br />
              the book is very <br />
              valuable to us.
            </span>

            <button
              type="button"
              class="modal-close"
              @click="is_review = false"
            >
              <Ui-Icon name="close" />
            </button>
          </div>

          <div class="reviewmodal-content">
            <div class="reviewmodal-email">
              <span>
                Write to our email <br />
                <b>contact@ansaryawar.com</b>
              </span>
              <a href="mailto:contact@ansaryawar.com">Send a review</a>
            </div>
          </div>

          <img src="/img/review.png" class="reviewmodal-img" />
        </div>
      </div>
    </teleport>
  </div>
</template>

<script setup lang="ts">
import bodyScroll from "@/utils/BodyScroll.js";
import FlickingSlider from "@egjs/vue3-flicking";
import { Fade, Arrow } from "@egjs/flicking-plugins";

const { $fbq } = useNuxtApp();

const slider_options = ref({
  align: "prev",
  defaultIndex: 0,
});

const slider_review_options = {
  align: "prev",
  adaptive: true,
};

const slider_review_plugins = [
  new Fade(".shop-review__block__wrapper", 1),
  new Arrow(),
];

const route = useRoute();

const is_checkout = ref(false);
const stripe_checkout = ref(null) as any;
const stripe = ref(null) as any;
const is_success_checkout = ref(false);

const book_slider = ref<{
  moveTo(number: number): void;
  animating: boolean;
} | null>(null);

// const book_selected = ref("price_1PXmEtINO2Stu7muBFLu9bkO");
const book_selected = ref("price_1PvbVSINO2Stu7muNcEVg03S");

const book_form_total = ref([
  {
    id: 0,
    name: "Book - Kindle eBook",
    description: "We will send it by E-mail",
    //test
    // price_id: "price_1PXmEtINO2Stu7muBFLu9bkO",
    //prod
    price_id: "price_1PvbVSINO2Stu7muNcEVg03S",
    price_current: 0,
    price_amount: 10,
    price_show: 10,
    quantity: 1,
    is_soldout: false,
    link: "",
  },
  {
    id: 1,
    name: "Book - Paperback",
    description: "Order on Amazon",
    //test
    // price_id: "price_1PZDA4INO2Stu7mue3Gmbo9L",
    //prod
    price_id: "price_1PZD6uINO2Stu7muOYK0yyeZ",
    price_current: 0,
    price_amount: 29,
    price_show: 29,
    quantity: 0,
    is_soldout: true,
    link: "https://geni.us/upward-spiral",
  },
  {
    id: 2,
    name: "Book - Hardcover",
    description: "Order on Amazon",
    //test
    // price_id: "price_1PZD8pINO2Stu7muNThrn6dT",
    //prod
    price_id: "price_1PZD1uINO2Stu7mursGOSWnE",
    price_current: 0,
    price_amount: 34,
    price_show: 34,
    quantity: 0,
    is_soldout: true,
    link: "https://geni.us/upward-spiral-cover",
  },
]);
// const is_quantity = ref(false);
const is_quantity = ref(true);
const is_quantity_empty = ref(false);
const total = ref(0);

const is_review = ref(false);

const current_location = ref("");

useHead({
  script: [
    {
      async: true,
      src: "https://js.stripe.com/v3/",
    },
  ],
});

onMounted(() => {
  try {
    (window as any).fbq("track", "ViewContent");
  } catch (error) {
    console.log(error, "ViewContent");
  }

  getLocation();

  let is_stripe = setInterval(async () => {
    // @ts-ignore
    if (Stripe) {
      clearInterval(is_stripe);
      // @ts-ignore
      stripe.value = Stripe(
        "pk_live_51PUFqtINO2Stu7muRsidCq2pkmk7zUkn9Ja4SUznOiMif3kKtrUCj4fNLJXDljuEGC4LoDEdQIL7gACTyjsqYdlC00liIerf1s"
        // "pk_test_51PUFqtINO2Stu7muka0oDhJqmguYuQIu5AVOeRziyQFXjBsMKdh71JYkcsWcUuduGMuqguIEGUTaLlTuZYDbk49o00T9aQoDTs"
      );
    }
  }, 500);

  if (route.query.type) {
    if (route.query.type === "0") {
      onChooseBook(0);
    }
    if (route.query.type === "1") {
      onChooseBook(1);
    }
    if (route.query.type === "2") {
      onChooseBook(2);
    }
    // get_status(route.query.session_id as string);
  }
});

watch(
  book_form_total.value,
  () => {
    is_quantity.value = false;
    book_form_total.value.forEach((el: any) => {
      if (el.quantity > 0) {
        is_quantity.value = true;
      }
    });
  },
  { deep: true, immediate: true }
);

const getLocation = async () => {
  try {
    const response = (await $fetch(
      "https://back.edu-space.io/website/ansar/get_country",
      {
        headers: {
          "Content-Type": "application/json",
        },
        method: "GET",
      }
    )) as any;

    console.log("location: ", response);

    current_location.value = response?.country;

    if (isLocationGCC()) {
      book_form_total.value[0].is_soldout = false;
      book_form_total.value[0].quantity = 0;
      book_form_total.value[1].is_soldout = false;
      book_form_total.value[1].description = "Delivery";
      book_form_total.value[2].is_soldout = false;
      book_form_total.value[2].description = "Delivery";
    }
  } catch (error) {
    console.log(error);
  }
};

const isLocationGCC = () => {
  if (
    current_location.value === "BH" ||
    current_location.value === "KW" ||
    current_location.value === "OM" ||
    current_location.value === "QA" ||
    current_location.value === "SA" ||
    current_location.value === "AE" ||
    current_location.value === "DK"
  ) {
    return true;
  } else {
    return false;
  }
};

const initStipe = async () => {
  if (!isLocationGCC()) {
    if (book_selected.value !== "price_1PvbVSINO2Stu7muNcEVg03S") {
      if (route.query.type) {
        if (route.query.type === "1") {
          try {
            (window as any).fbq("track", "Lead", {
              currency: "USD",
              value: 2.5,
            });
          } catch (error) {
            console.log(error, "Lead");
          }
          window.location.assign("https://geni.us/upward-spiral");
        }
        if (route.query.type === "2") {
          try {
            (window as any).fbq("track", "Lead", {
              currency: "USD",
              value: 2.5,
            });
          } catch (error) {
            console.log(error, "Lead");
          }
          window.location.assign("https://geni.us/upward-spiral-cover");
        }
        return;
      }
    }

    if (book_selected.value === "price_1PZD6uINO2Stu7muOYK0yyeZ") {
      try {
        (window as any).fbq("track", "Lead", {
          currency: "USD",
          value: 2.5,
        });
      } catch (error) {
        console.log(error, "Lead");
      }
      window.location.assign("https://geni.us/upward-spiral");
      return;
    }

    if (book_selected.value === "price_1PZD1uINO2Stu7mursGOSWnE") {
      try {
        (window as any).fbq("track", "Lead", {
          currency: "USD",
          value: 2.5,
        });
      } catch (error) {
        console.log(error, "Lead");
      }
      window.location.assign("https://geni.us/upward-spiral-cover");
      return;
    }
  }

  if (is_quantity.value) {
    try {
      (window as any).fbq("track", "AddToCart");
    } catch (error) {
      console.log(error);
    }

    let fetch_data = [] as any;

    let is_shipping = false;
    let is_free_shipping = false;
    let how_many_digital = [];

    book_form_total.value.forEach((el: any) => {
      if (el.quantity) {
        fetch_data.push({ price: el.price_id, quantity: el.quantity });
      }
    });

    if (fetch_data.length > 1) {
      is_shipping = false;
      is_free_shipping = true;
    } else {
      if (
        fetch_data[0].quantity >= 2 &&
        book_form_total.value[0].quantity < 2
      ) {
        is_shipping = false;
        is_free_shipping = true;
      } else {
        is_shipping = true;
        if (book_form_total.value[0].quantity > 0) {
          is_shipping = false;
        }
      }
    }

    if (fetch_data.length > 0) {
      is_checkout.value = true;
      bodyScroll.disable();

      // @ts-ignore
      window.lenis.stop();

      const fetchClientSecret = async () => {
        const response = (await $fetch(
          "https://starc.midera.fun/website/ansar/create-checkout-session",
          {
            headers: {
              "Content-Type": "application/json",
            },
            method: "POST",
            body: {
              prices: fetch_data,
              shipping: [
                {
                  shipping_rate: is_free_shipping
                    ? "shr_1PavTdINO2Stu7mu3lcQHeEe"
                    : "shr_1Q51PxINO2Stu7mu9T17hRkq",
                },
              ],
              test: false,
              is_shipping,
              is_free_shipping,
            },
          }
        )) as any;

        try {
          (window as any).fbq("track", "InitiateCheckout");
        } catch (error) {
          console.log(error);
        }

        return response.clientSecret;
      };

      const handleComplete = async () => {
        // Destroy Checkout instance

        stripe_checkout.value.destroy();

        try {
          (window as any).fbq("track", "Purchase", {
            currency: "USD",
            value: 10.0,
          });
        } catch (error) {
          console.log(error, "Purchase");
        }

        setTimeout(() => {
          is_success_checkout.value = true;

          setTimeout(() => {
            onCloseStripe();
          }, 4000);
        }, 300);
      };

      stripe_checkout.value = await stripe.value.initEmbeddedCheckout({
        fetchClientSecret,
        onComplete: handleComplete,
      });

      stripe_checkout.value.mount("#checkout");
    }
  } else {
    is_quantity_empty.value = true;
    setTimeout(() => {
      is_quantity_empty.value = false;
    }, 2000);
  }
};

// const get_status = async (id: string) => {
//   const response = (await $fetch(
//     `https://starc.midera.fun/website/ansar/session-status?session_id=${id}&test=${true}`,
//     {
//       headers: {
//         "Content-Type": "application/json",
//       },
//       method: "GET",
//     }
//   )) as any;

//   console.log(response);
// };

const onCloseStripe = () => {
  is_checkout.value = false;
  is_success_checkout.value = false;
  // @ts-ignore
  window.lenis.start();
  bodyScroll.enable();

  setTimeout(() => {
    if (stripe_checkout.value) {
      stripe_checkout.value.destroy();
      stripe_checkout.value = null;
    }
  }, 100);
};

const onChooseBook = (id: number) => {
  if (id === 0) {
    book_selected.value = "price_1PvbVSINO2Stu7muNcEVg03S";
    // book_selected.value = "price_1PXmEtINO2Stu7muBFLu9bkO";
    onChaneSlider(0);
  }

  if (id === 1) {
    book_selected.value = "price_1PZD6uINO2Stu7muOYK0yyeZ";
    // book_selected.value = "price_1PZDA4INO2Stu7mue3Gmbo9L";
    onChaneSlider(1);
  }

  if (id === 2) {
    book_selected.value = "price_1PZD1uINO2Stu7mursGOSWnE";
    // book_selected.value = "price_1PZD8pINO2Stu7muNThrn6dT";
    onChaneSlider(2);
  }
};

const onChaneSlider = (slide: number) => {
  if (book_slider.value?.animating) return;
  book_slider.value?.moveTo(slide);
};

const onSliderMove = (el: any) => {
  onChooseBook(el.index);
};

const onQuantity = (event_type: any, type_id: any) => {
  book_form_total.value.forEach((el: any, index: any) => {
    if (el.id === type_id) {
      if (event_type === 0) {
        if (el.quantity === 0) {
          return;
        } else {
          book_form_total.value[type_id].quantity -= 1;

          book_form_total.value[type_id].price_current -=
            book_form_total.value[type_id].price_amount;
          if (el.quantity > 0) {
            book_form_total.value[type_id].price_show -=
              book_form_total.value[type_id].price_amount;
          }

          total.value -= el.price_amount;
        }
      } else {
        if (el.quantity < 10) {
          book_form_total.value[type_id].quantity += 1;

          book_form_total.value[type_id].price_current +=
            book_form_total.value[type_id].price_amount;

          if (el.quantity > 1) {
            book_form_total.value[type_id].price_show +=
              book_form_total.value[type_id].price_amount;
          }

          total.value += el.price_amount;
        }
      }
    }
  });
};

onBeforeRouteLeave(() => {
  onCloseStripe();
});
</script>

<style lang="scss" scoped>
@use "~/assets/scss/mixins" as *;

.shop {
  width: 100%;
  background-color: #fff;
  display: flex;
  // flex-direction: column;
  // align-items: center;
  justify-content: center;
  position: relative;
  animation-duration: 1s;
  animation-fill-mode: both;
  animation-name: starting;
  animation-timing-function: ease-in-out;
  overflow-y: hidden !important;

  &-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 70%;
    position: relative;
    @include phone {
      width: 90%;
      padding: 0 20px;
    }
  }

  &-back {
    width: 100%;
    overflow-y: hidden !important;
  }

  &-main {
    width: 80%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    margin-top: 40px;
    gap: 40px;

    @include laptop_l {
      margin-top: 30px;
      gap: 30px;
    }
    @include phone {
      width: 100%;
      grid-template-columns: 1fr;
    }
  }

  &-slider__wrapper {
    width: 100%;
    height: 100%;
    @include phone {
      min-height: 350px;
    }
  }

  &-slider {
    width: 100%;
    height: 100%;
    @include phone {
      min-height: 350px;
    }

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      pointer-events: none;
    }
  }

  &-shippingsteaker {
    position: absolute;
    left: 80px;
    top: 10px;
    width: 120px;
    height: 120px;
    background-color: #000;
    border: 1px solid rgb(18, 18, 18);
    color: #fff;
    border-radius: 100%;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 14px;
    line-height: 150%;
    font-weight: 500;

    @include laptop_l {
      width: 90px;
      height: 90px;
      font-size: 10px;
    }

    @include phone {
      left: -10px;
    }
  }

  &-title {
    p {
      display: flex;
      align-items: center;
      font-size: 14px;
      color: #000;
      margin-bottom: 10px;
      font-weight: 400;
      letter-spacing: 0.7px;

      @include laptop_l {
        font-size: 12px;
        font-weight: 500;
        letter-spacing: initial;
      }

      svg {
        width: 20px;
        height: 20px;

        @include laptop_l {
          width: 14px;
          height: 14px;
        }
      }
    }

    span {
      display: block;
      font-size: 34px;
      font-weight: 500;
      line-height: 120%;
      padding-right: 50px;
      @include laptop_l {
        padding-right: 100px;
        font-size: 20px;
      }
      @include phone {
        font-size: 22px;
      }
    }
  }

  &-form {
    height: 100%;
  }

  &-rating {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 20px;
    @include laptop_l {
      margin-top: 15px;
    }
    @include phone {
      margin-top: 20px;
    }
  }

  &-rating__stars {
    display: flex;
    align-items: center;
    height: fit-content;

    li {
      padding: 0 5px;
      transition: fill ease 0.5s;
      transition-delay: 0;
    }

    svg {
      width: 18px;
      height: 18px;
      // fill: #fff;
      fill: #ffce4c;
      stroke: #ffce4c;
      cursor: pointer;
      transition: fill ease 0.5s;

      @include laptop_l {
        width: 13px;
        height: 13px;
      }
      @include phone {
        width: 18px;
        height: 18px;
      }

      &:nth-child(2) {
        transition-delay: 30ms;
      }

      &:nth-child(3) {
        transition-delay: 40ms;
      }

      &:nth-child(4) {
        transition-delay: 50ms;
      }

      &:nth-child(5) {
        transition-delay: 60ms;
      }
    }
  }

  &-rating__stars li:hover ~ li {
    svg {
      fill: #fff;
    }
  }

  &-rating__stars:hover li {
    svg {
      fill: #ffce4c;
    }
  }

  &-rating__count {
    @include laptop_l {
      font-size: 12px;
    }
    @include phone {
      font-size: 16px;
    }
  }

  &-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 20px;
    animation-duration: 1s;
    animation-fill-mode: both;
    animation-name: starting;
    animation-timing-function: ease-in-out;

    @include laptop_l {
      margin-top: 15px;
      gap: 15px;
    }
  }

  &-type {
    padding: 20px;
    border-radius: 20px;
    border: 1px solid #dbdbdb;
    display: flex;
    justify-content: space-between;
    transition: all ease 0.3s;
    cursor: pointer;
    @include laptop_l {
      padding: 15px;
      border-radius: 15px;
    }
    @include phone {
      padding: 20px;
      border-radius: 20px;
    }

    &:hover {
      border: 1px solid #0a58dc;
      @include phone {
        border: 1px solid #dbdbdb;
      }
    }
    &:active {
      transform: scale(0.98);
    }
  }

  &-type--active {
    border: 1px solid #0a58dc !important;
  }

  &-type--disabled {
    // background-color: rgba(204, 204, 204, 0.1);
  }

  &-type__info {
    span {
      color: #161618;
      font-size: 17px;
      font-weight: 500;
      display: block;
      margin-bottom: 10px;
      @include laptop_l {
        font-size: 14px;
      }
      @include phone {
        font-size: 17px;
      }
    }

    p,
    a {
      font-size: 13px;
      color: #5e5e61;
      @include laptop_l {
        font-size: 11px;
      }
      @include phone {
        font-size: 13px;
      }
    }

    a {
      display: flex;
      gap: 2px;
      transition: all ease 0.3s;

      &:hover {
        color: #0a58dc;
        svg {
          fill: #0a58dc;
        }
      }

      svg {
        width: 14px;
        height: 14px;
        fill: rgba(0, 0, 0, 0.551);

        @include laptop_l {
          width: 11px;
          height: 11px;
        }
      }
    }
  }

  &-type__price {
    // font-weight: 500;
    // color: #656565;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
    @include laptop_l {
      font-size: 12px;
    }
    @include phone {
      font-size: 16px;
    }
  }

  &-total {
    margin-top: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    @include laptop_l {
      margin-top: 25px;
    }
    @include phone {
      margin-top: 30px;
    }
  }

  &-count {
    display: flex;
    align-items: center;
    margin-top: 20px;

    button {
      width: 25px;
      height: 25px;
      background-color: #f9f9f981;
      border: 1px solid #ccc;
      transition: all ease 0.2s;

      @include laptop_l {
        width: 18px;
        height: 18px;
      }
      @include phone {
        width: 25px;
        height: 25px;
      }

      &:active {
        transform: scale(0.94);
      }

      &:first-child {
        border-bottom-left-radius: 5px;
        border-top-left-radius: 5px;
      }
      &:last-child {
        border-bottom-right-radius: 5px;
        border-top-right-radius: 5px;
      }
    }

    p {
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 25px;
      height: 25px;
      border-top: 1px solid #ccc;
      border-bottom: 1px solid #ccc;
      background-color: #fff;
      font-weight: 400;
      font-size: 14px;
      @include laptop_l {
        font-size: 10px;
        width: 18px;
        height: 18px;
      }
      @include phone {
        font-size: 12px;
        width: 25px;
        height: 25px;
      }
    }
  }

  &-count--inactive {
    background-color: #ededf181 !important;
    &:hover {
      cursor: not-allowed;
    }
  }

  &-price {
    font-size: 20px;
    font-weight: 500;
    @include laptop_l {
      font-size: 16px;
    }
    @include phone {
      font-size: 20px;
    }
  }

  &-submits {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 30px;
    animation-duration: 1s;
    animation-fill-mode: both;
    animation-name: starting;
    animation-timing-function: ease-in-out;

    @include laptop_l {
      gap: 10px;
      margin-top: 25px;
    }
    @include phone {
      gap: 15px;
      margin-top: 30px;
    }

    button {
      width: 100%;
      padding: 10px;
      border-radius: 60px;
      font-size: 14px;
      background-color: rgb(255, 255, 255);
      border: 1px solid #000;
      position: relative;
      // cursor: not-allowed;
      cursor: pointer;
      transition: all ease 0.4s;

      @include laptop_l {
        font-size: 11px;
        padding: 8px;
      }
      @include phone {
        padding: 10px;
        font-size: 14px;
      }

      span {
        letter-spacing: 1px;
      }
      &:active {
        transform: scale(0.96);
      }

      // &:nth-child(1) {
      //   //   border: 1px solid #000;
      //   //   background-color: #000;
      //   //   color: #fff;
      //   &:hover {
      //     &:before {
      //       opacity: 1;
      //     }
      //   }

      // }
    }
  }

  &-submits--empty {
    // &:before {
    //   content: "Pre-Order Starts on 10th July";
    position: absolute;
    top: -60px;
    transform: translate(-50%, 0);
    left: 50%;
    width: 100%;
    padding: 0 30px;
    height: 50px;
    background-color: rgba(0, 0, 0, 0.7);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
    border-radius: 50px;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all ease 0.5s;
    // }
  }

  &-submits--active {
    border: 1px solid #000 !important;
    background-color: #000 !important;
    color: #fff;
    // cursor: pointer !important;
  }

  &-bill {
    width: 80%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    margin-top: 10px;
    gap: 40px;
    height: 75px;

    @include laptop_l {
      margin-top: 5px;
      gap: 30px;
      height: 65px;
    }
    @include phone {
      width: 100%;
      margin-top: 10px;
      gap: 0;
      grid-template-columns: 0 1fr;
    }

    ul {
      display: flex;
      flex-direction: column;
    }
  }

  &-bill__item {
    display: grid;
    grid-template-columns: 1fr auto auto auto;
    border-bottom: 1px solid rgb(243, 243, 243);
    padding: 5px 0;
    font-size: 14px;
    font-weight: 500;
    transition: all ease 0.5s;
    @include laptop_l {
      font-size: 11px;
    }

    div {
      &:nth-child(2),
      &:nth-child(3),
      &:nth-child(4) {
        width: 30px;
        @include laptop_l {
          width: 20px;
        }
      }

      &:nth-child(2) {
        width: 20px;
        @include laptop_l {
          width: 15px;
        }
      }

      &:nth-child(3) {
        width: 40px;
        text-align: center;
        @include laptop_l {
          width: 30px;
        }
      }

      &:nth-child(4) {
        text-align: right;
      }
    }
  }

  &-about {
    width: 80%;
    margin-top: 50px;
    margin-bottom: 100px;
    @include laptop_l {
      margin-bottom: 80px;
    }
    @include phone {
      margin-top: 50px;
      width: 100%;
      margin-bottom: 100px;
    }

    p {
      color: #000;
      font-size: 20px;
      font-weight: 500;
      margin-bottom: 30px;
      @include laptop_l {
        font-size: 16px;
        margin-bottom: 20px;
      }
      @include phone {
        font-weight: 600;
        margin-bottom: 20px;
        width: 100%;
      }
    }

    span {
      font-size: 16px;
      line-height: 200%;
      color: #000;
      @include laptop_l {
        font-size: 12px;
      }
      @include phone {
        font-size: 15px;
      }
    }
  }

  &-review {
    background-color: #fbfbfb;
    padding: 100px 0;
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    z-index: 2;
    transition: all ease 1s;

    @include phone {
      padding: 50px 0;
    }

    .flicking-viewport {
      overflow: visible !important;
    }

    .flicking-arrow-prev,
    .flicking-arrow-next {
      top: -76px;
      width: 35px;
      height: 35px;
      border-radius: 20px;
      background-color: #d2d2d780;
      display: flex;
      align-items: center;
      justify-content: center;
      transition: all ease 0.3s;
      @include laptop_l {
        width: 25px;
        height: 25px;
        top: -56px;
      }

      &:active {
        background-color: #d2d2d7cf;
      }

      &::before,
      &::after {
        content: none;
      }

      svg {
        width: 12px;
        height: 12px;
        fill: rgba(0, 0, 0, 0.6);
        @include laptop_l {
          width: 8px;
          height: 8px;
        }
      }
    }

    .flicking-arrow-prev {
      left: auto;
      right: 80px !important;
      @include phone {
        right: 60px !important;
      }
      svg {
        transform: rotate(180deg);
      }
    }

    .flicking-arrow-disabled {
      opacity: 0.5;
    }
  }

  &-review__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 70%;
    height: fit-content;
    position: relative;

    @include phone {
      width: 100%;
      padding: 0 20px;
    }
  }

  &-review__title {
    width: 80%;
    color: #000;
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 30px;
    @include laptop_l {
      font-size: 16px;
      margin-bottom: 20px;
    }
    @include phone {
      font-weight: 600;
      margin-bottom: 20px;
      width: 90%;
    }
  }

  &-review__slider {
    width: calc(80% + 30px);
    height: 100%;
    margin-top: 50px;
    display: grid;
    @include laptop_l {
      margin-top: 30px;
      width: calc(80% + 35px);
    }
    @include phone {
      width: 90%;
      display: block;
      height: fit-content;
      transition: all ease 0.4s;
    }
  }

  &-review__block {
    min-width: 500px;
    max-width: 800px;
    height: 100%;
    padding: 0 20px;
    @include laptop_l {
      min-width: 400px;
      max-width: 600px;
    }
    @include phone {
      max-width: 100%;
      min-width: fit-content;
      height: fit-content;
      padding: 0;
    }
  }

  &-review__block__wrapper {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.038);
    width: 100%;
    min-height: 80%;
    padding: 50px;
    transition: all ease 0.1s;
    opacity: 0;

    @include laptop_l {
      padding: 50px;
    }
    @include phone {
      width: 100%;
      padding: 20px;
      height: fit-content;
    }
  }

  &-review__client {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 10px;

    img {
      width: 80px;
      height: 80px;
      border-radius: 100%;
      object-fit: cover;
      @include laptop_l {
        width: 60px;
        height: 60px;
      }
    }
  }

  &-review__client--empty {
    width: 80px;
    height: 80px;
    border-radius: 100%;
    background-color: rgb(246, 246, 246);
    // background-color: #fff;
    // box-shadow: 0 0 10px rgb(242, 242, 242);
    display: flex;
    justify-content: center;
    align-items: center;

    svg {
      width: 30px;
      height: 30px;
      fill: #000;
    }
  }

  &-review__client-info {
    p {
      font-size: 18px;
      font-weight: 500;
      color: #000;
      @include laptop_l {
        font-size: 13px;
      }
    }

    span {
      display: block;
      margin-top: 10px;
      font-size: 14px;
      color: #000;
      @include laptop_l {
        font-size: 12px;
        margin-top: 5px;
      }
    }

    b {
      display: block;
      margin-top: 10px;
      font-size: 13px;
      font-weight: 500;
      color: #000;
      line-height: 120%;

      @include laptop_l {
        font-size: 11px;
        margin-top: 5px;
      }

      @include phone {
        margin-top: 10px;
      }
    }
  }

  &-review__comment {
    margin-top: 30px;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    line-height: 180%;
    transition: all ease 0.1s;

    @include laptop_l {
      font-size: 13px;
      line-height: 180%;
    }
    @include phone {
      max-width: 100%;
      width: 100%;
    }
  }

  &-review__footer {
    display: flex;
    justify-content: flex-start;
    margin-top: 20px;

    font-size: 14px;
    color: #000;
    @include laptop_l {
      font-size: 13px;
    }
  }
}

.modal {
  position: fixed;
  z-index: 50;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
  cursor: pointer;
  overflow: auto;

  animation-duration: 0.2s;
  animation-fill-mode: both;
  animation-name: starting;
  animation-timing-function: ease-in-out;

  @include laptop_l {
    width: 100%;
  }
  @include phone {
    width: 100%;
  }

  &-wrapper {
    min-width: 80%;
    min-height: 70%;
    width: fit-content;
    height: fit-content;
    padding: 40px;
    position: relative;
    background-color: #fff;
    cursor: auto;
    transition: all ease 0.5s;
    overflow: hidden;

    @include laptop_l {
      min-width: 83%;
      min-height: 90%;
      height: 50%;
    }
    @include phone {
      min-width: 90%;
      min-height: 95%;
      padding: 20px;
      height: 60%;
    }
  }

  &-checkout {
    width: 100%;
    height: 100%;
    overflow: auto;
    overflow-x: hidden;
    position: relative;

    &::-webkit-scrollbar {
      width: 0px;
      height: 0px;
    }

    &::-webkit-scrollbar-track {
      background-color: transparent;
    }
  }

  &-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    position: sticky;
    top: 0px;

    span {
      font-size: 16px;
      font-weight: 500;
      color: #000;
      @include laptop_l {
        font-size: 14px;
      }
    }

    button {
      width: 40px;
      height: 40px;
      border-radius: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: -13px;
      right: -10px;

      svg {
        width: 12px;
        height: 12px;
        stroke: #000;
        @include laptop_l {
          width: 10px;
          height: 10px;
        }
        @include laptop {
          width: 8px;
          height: 8px;
        }
      }
    }
  }

  &-checkout__wrapper {
    // padding: 20px;
  }

  &-checkout__success {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    p {
      display: block;
      font-size: 20px;
      font-weight: 500;
      margin-bottom: 15px;
      @include laptop_l {
        font-size: 16px;
      }
    }
    span {
      font-size: 18px;
      display: block;
      margin-bottom: 40px;
      @include laptop_l {
        font-size: 14px;
        margin-bottom: 30px;
      }
    }
  }

  &-checkout__gif {
    width: 140px;
    height: 140px;
    @include laptop_l {
      width: 110px;
      height: 110px;
    }
  }
}

#checkout {
  width: 100%;
}

.reviewmodal {
  .modal-wrapper {
    min-width: 35%;
    min-height: 60%;
    width: fit-content;
    height: fit-content;
    position: relative;
    background-color: #fafafa;

    @include laptop_l {
      min-width: 40%;
      min-height: 60%;
    }
    @include phone {
      min-width: 90%;
      min-height: 60%;
    }
    @include phone_xs {
      min-height: 70%;
    }
  }

  .modal-header {
    z-index: 2;

    span {
      font-size: 28px;
      line-height: 130%;
      @include laptop_l {
        font-size: 20px;
      }
    }
  }

  &-content {
    width: 100%;
    height: 100%;
    z-index: 3;
    margin-top: 30px;
    position: relative;
    background-color: none;
    @include tablet {
      margin-top: 0px;
    }
  }

  &-img {
    position: absolute;
    bottom: -5%;
    right: 0%;
    width: 70%;
    height: 70%;
    z-index: 1;
    object-fit: cover;
    @include phone {
      width: 100%;
      height: 68%;
      bottom: 0;
      object-position: 50% 10px;
    }

    @include phone_s {
      width: 100%;
      height: 60%;
      bottom: 0%;
      object-position: 50% 0px;
    }

    @include phone_xs {
      width: 100%;
      height: 60%;
      bottom: 0%;
      object-position: 50% 0px;
    }
  }

  &-email {
    width: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;

    span {
      color: #000;
      font-size: 16px;
      display: block;
      margin-bottom: 10px;
      @include laptop_l {
        font-size: 13px;
      }
      @include phone {
        font-size: 14px;
      }

      b {
        display: block;
        margin-top: 10px;
        color: #000;
        font-weight: 400;
        font-size: 20px;
        @include laptop_l {
          font-size: 16px;
        }
      }
    }

    a {
      padding: 10px 20px;
      border-radius: 50px;
      background-color: #000;
      color: #fff;
      font-size: 14px;
      margin-top: 20px;
      display: block;
      width: fit-content;
      transition: transform ease 0.3s;

      @include laptop_l {
        margin-top: 10px;
        font-size: 10px;
      }
      @include phone {
        font-size: 12px;
        font-weight: 400;
        padding: 8px 16px;
      }

      &:active {
        transform: scale(0.96);
      }
    }
  }
}
</style>

<style src="/node_modules/@egjs/vue3-flicking/dist/flicking.css"></style>
<style src="/node_modules/@egjs/flicking-plugins/dist/arrow.css"></style>
